Package org.apache.commons.release.plugin.mojos

# Class CommonsDistributionStagingMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.commons.release.plugin.mojos.CommonsDistributionStagingMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="stage-distributions", defaultPhase=DEPLOY, threadSafe=true, aggregator=true) public final class CommonsDistributionStagingMojo extends org.apache.maven.plugin.AbstractMojo
This class checks out the dev distribution location, copies the distributions into that directory structure under the `target/commons-release-plugin/scm` directory. Then commits the distributions back up to SVN. Also, we include the built and zipped site as well as the RELEASE-NOTES.txt.

Since:
  1.0

- ## Field Summary

  ### Fields inherited from interface org.apache.maven.plugin.Mojo

  `ROLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommonsDistributionStagingMojo()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  `protected void`
  `setBaseDir(File baseDir)`
  This method is the setter for the `baseDir` field, specifically for the usage in the unit tests.

  ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

  `getLog, getPluginContext, setLog, setPluginContext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommonsDistributionStagingMojo

    public CommonsDistributionStagingMojo()
    Constructs a new instance.

- ## Method Details

  - ### execute

    public void execute() throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException
    Throws:
      `org.apache.maven.plugin.MojoExecutionException`
      `org.apache.maven.plugin.MojoFailureException`

  - ### setBaseDir

    protected void setBaseDir(File baseDir)
    This method is the setter for the `baseDir` field, specifically for the usage in the unit tests.
    Parameters:
      `baseDir` - is the `File` to be used as the project's root directory when this mojo is invoked.